# miniwol

Small web server to send Wake-on-LAN requests to its local network

## Features
- Fully static frontend without JS
- Binary includes everything except config

## Usage
Add an empty config, the program checks for `./config.toml`, `./config/config.toml` and `/etc/miniwol/config.toml`. Make sure miniwol can write to it.

Set a password and write its hash to the config using `miniwol setpass <password>`. This will also add the other default fields to the config.

Configure the devices you want to be able to wake up as per the [example](./example/config.toml)

Now you can run the webserver using `miniwol` or `miniwol web` 
